/*= Instrument bp2316.h Include File =============================================*/
#include <vpptype.h>


#define NUL      0x00
#define STX      0x02
#define ETX      0x03
#define EOT      0x04
#define ENQ      0x05
#define ACK      0x06
#define CR       0x0D
#define NAK      0x15
#define MAX_BYTE 256            /* Max. Length of the local buffers*/

#define BP2316_MAX_INSTR  16    /* Max. numbers of instruments */

#define BP2316_OVERRANGE  (1<<9)/* Bit 9 of Questionable Condition Register*/
#define BP2316_MEASURING  (1<<4)/* Bit 4 of Operation Condition Register*/

/*= GLOBAL FUNCTION DECLARATIONS ==========================================*/
int _VI_FUNC bp2316_init (int COMPort, int baudRate, double timeoutseconds,
                          int blockCheck, int groupAddress, int userAddress,
                          int resetDevice, int *instrumentID);
int _VI_FUNC bp2316_meas_start (int instrumentID);
int _VI_FUNC bp2316_meas_read (int instrumentID, double *measuringValue,
                               char unit[]);
int _VI_FUNC bp2316_meas_stop (int instrumentID);
int _VI_FUNC bp2316_send_scpi (int instrumentID, char sendSCPIMessage[]);
int _VI_FUNC bp2316_receive_scpi (int instrumentID, char sendSCPIMessage[],
                                  char instrumentAnswers[]);
int _VI_FUNC bp2316_close (int instrumentID);


